org.appng.core.model

## Class PackageWrapper

- java.lang.Object
- - org.appng.core.model.PackageWrapper

- All Implemented Interfaces:
    Comparable<PackageWrapper>

      public class PackageWrapper
      extends Object
      implements Comparable<PackageWrapper>

  A application shown in the `Repository` overview list.
  Author:
    Matthias Herlitzius

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageWrapper(Package publishedPackage)`
    `PackageWrapper(PackageInfo packageInfo, PackageType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PackageWrapper o)`
    `String` | `getDisplayName()`
    `String` | `getLatestRelease()`
    `String` | `getLatestSnapshot()`
    `String` | `getLongDescription()`
    `String` | `getName()`
    `Package` | `getPackage()`
    `PackageType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageWrapper

          public PackageWrapper(Package publishedPackage)

    - #### PackageWrapper

          public PackageWrapper(PackageInfo packageInfo,
                                PackageType type)

  - ### Method Detail

    - #### getPackage

          public Package getPackage()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getLongDescription

          public String getLongDescription()

    - #### getLatestRelease

          public String getLatestRelease()

    - #### getLatestSnapshot

          public String getLatestSnapshot()

    - #### compareTo

          public int compareTo(PackageWrapper o)

      Specified by:
        `compareTo` in interface `Comparable<PackageWrapper>`

    - #### getType

          public PackageType getType()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.